Bug 186278 - Enable CONFIG_SERIAL_8250_ACPI to add hardware support
Summary: Enable CONFIG_SERIAL_8250_ACPI to add hardware support
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel   
(Show other bugs)
Version: 5
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2006-03-22 17:49 UTC by Dave Ludlow
Modified: 2015-01-04 22:26 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-03-24 23:06:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Dave Ludlow 2006-03-22 17:49:55 UTC
Description of problem:
I have an HP TC1100 tablet where the screen is a serial Wacom tablet.  If the
CONFIG_SERIAL_8250_ACPI were enabled, this hardware (and others) would be
functional.  This feature is not available as a module.

How reproducible:
Always.  Recompiling the kernel with this option enabled allows the device to
work fine.

Steps to Reproduce:
1. N/A - device is not recognized by default Fedora kernel
  
Actual results:
Device is not recognized.

Expected results:
Device should be recognized.

Additional info:
If there's no good reason for this to be off, let's turn it on.

Comment 1 Dave Jones 2006-03-24 23:06:59 UTC
this option just affects how serial ports are discovered, and the regular
methods should work just fine for that.  The last time we switched this on, it
actually broke some working systems (The joys of trusting BIOS writers).

I did some googling.
Did you perhaps mean SERIAL_WACOM_ACPI ?  There's an out-of-tree patch that adds
that option, which sounds promising, as it has the description "Enable a wacom
digitizer on an HP TC1100"

I suggest talking with its upstream author Chris Kemp <ck231@cam.ac.uk> to try
and get that included in the kernel.org tree, and Fedora will pick it up on the
next rebase.



Note You need to log in before you can comment on or make changes to this bug.